Name:           python-lsst-pipe-base
Version:        29.2025.2600
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Pipeline infrastructure for the Rubin Science Pipelines.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/lsst/pipe_base
Source:         %{pypi_source lsst_pipe_base}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'lsst-pipe-base' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-lsst-pipe-base
Summary:        %{summary}

%description -n python3-lsst-pipe-base %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-lsst-pipe-base mermaid,test


%prep
%autosetup -p1 -n lsst_pipe_base-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x mermaid,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-lsst-pipe-base -f %{pyproject_files}


%changelog
%autochangelog